> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/vpc/subnet/describesubnetavailableresources.md).

# DescribeSubnetAvailableResources

## 1. API Description

This API (DescribeSubnetAvailableResources) is used to query information about zones for subnets.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                               |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------- |
| zoneId         | No       | String | <p>Zone ID.</p><p>If the value is empty, return information about all the zones available for subnet.</p> |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| zoneIdSet      | Array of String | Information about zones available.                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Query whether subnets are available in zone `SEL-A`.

<pre class="language-json"><code class="lang-json">POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeSubnetAvailableResources


<strong>Request:
</strong>{
  "zoneId": "SEL-A"
}

Response:
{
  "requestId": "T0C815970-AE04-470B-B22A-67C42DDFA679",
  "response": {
    "requestId": "T0C815970-AE04-470B-B22A-67C42DDFA679",
    "zoneIdSet": [
      "SEL-A"
    ]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description     |
| ---------------- | ------------------------- | --------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND | Zone not found. |
